internal::aligned_pair< T1, T2 > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::aligned_pair< T1, T2 >:

## Public Types

typedef type_plus_align< T1, T2, 0 > | just_pair
typedef type_plus_align< T1, T2, remainder > | type

## Static Public Attributes

static const size_t | t1_align = alignment_of<T1>::value
static const size_t | t2_align = alignment_of<T2>::value
static const size_t | max_align = t1_align < t2_align ? t2_align : t1_align
static const size_t | extra_bytes = sizeof(just_pair) % max_align
static const size_t | remainder = extra_bytes ? max_align - extra_bytes : 0

## Detailed Description

### template<typename T1, typename T2>
struct internal::aligned_pair< T1, T2 >

Definition at line 412 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## just_pair

template<typename T1, typename T2>

typedef type_plus_align<T1, T2, 0 > internal::aligned_pair< T1, T2 >::just_pair

Definition at line 415 of file _flow_graph_types_impl.h.

## type

template<typename T1, typename T2>

typedef type_plus_align<T1,T2,remainder> internal::aligned_pair< T1, T2 >::type

Definition at line 420 of file _flow_graph_types_impl.h.

## Member Data Documentation

## extra_bytes

template<typename T1, typename T2>

const size_t internal::aligned_pair< T1, T2 >::extra_bytes = sizeof(just_pair) % max_align

static

Definition at line 417 of file _flow_graph_types_impl.h.

## max_align

template<typename T1, typename T2>

const size_t internal::aligned_pair< T1, T2 >::max_align = t1_align < t2_align ? t2_align : t1_align

static

Definition at line 416 of file _flow_graph_types_impl.h.

## remainder

template<typename T1, typename T2>

const size_t internal::aligned_pair< T1, T2 >::remainder = extra_bytes ? max_align - extra_bytes : 0

static

Definition at line 418 of file _flow_graph_types_impl.h.

## t1_align

template<typename T1, typename T2>

const size_t internal::aligned_pair< T1, T2 >::t1_align = alignment_of<T1>::value

static

Definition at line 413 of file _flow_graph_types_impl.h.

## t2_align

template<typename T1, typename T2>

const size_t internal::aligned_pair< T1, T2 >::t2_align = alignment_of<T2>::value

static

Definition at line 414 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.